GuideLab API

Update notification preferences

Sets the authenticated user's notification channel preferences for orders (including per-event overrides), partnerships, and chat. Supports email, SMS, WhatsApp, and push channels.

PUT
/user/notification-preferences

Sets the authenticated user's notification channel preferences for orders (including per-event overrides), partnerships, and chat. Supports email, SMS, WhatsApp, and push channels.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/user/notification-preferences" \  -H "Content-Type: application/json" \  -d '{    "preferences": {      "orders": {        "email": true,        "sms": true,        "whatsapp": true,        "push": true      },      "partnerships": {        "email": true,        "sms": true,        "whatsapp": true,        "push": true      },      "chat": {        "email": true,        "sms": true,        "whatsapp": true,        "push": true      },      "finance": {        "email": true,        "sms": true,        "whatsapp": true,        "push": true      },      "team": {        "email": true,        "sms": true,        "whatsapp": true,        "push": true      }    }  }'
{  "success": true}
Empty
Empty